Get a list of transactions

Returns all transactions in an account with the ability to search, sort and filter. You need the "View Transactions" permission to use this endpoint. Additionally, you need either "Access to base transaction monitoring functionality" and/or "Access to base payment screening functionality" to use this endpoint.

Query Params
sort
array of strings

Sorting criteria. Allowed fields: occurred_at, received_at (default), base_value.amount, base_value.currency, direction. Each criterion should be a string in the format: property_name for ascending order, or -property_name for descending order. For example, to sort by occurred date descending: -occurred_at. Multiple sort criteria are supported. Provide each as a separate 'sort' query parameter (e.g., ?sort=-occurred_at&sort=base_value.amount).

sort
string

Search for a transaction using your transaction identifier. Partial Match.

uuid

Search for a full match using the identifier of the customer associated with the transaction.

identifier
array of uuids

Filter by specific transaction identifiers. Returns transactions matching any of the provided IDs (OR logic). Can be combined with other filters.

identifier
date-time

Filter by minimum received date/time (inclusive). ISO 8601 format.

date-time

Filter by maximum received date/time (inclusive). ISO 8601 format.

date-time

Filter by minimum occurred date/time (inclusive). ISO 8601 format.

date-time

Filter by maximum occurred date/time (inclusive). ISO 8601 format.

direction
array of strings

Filter by transaction direction.

direction
base_value.currency
array of strings

Filter by currency code (ISO 4217).

base_value.currency
double

Filter by minimum base amount (inclusive).

double

Filter by maximum base amount (inclusive).

integer
≥ 1
Defaults to 1

One-based page index (1..N)

integer
≥ 1
Defaults to 50

The size of the page to be returned

evaluation_outcome
array of strings

Filter by transaction evaluation outcome.

evaluation_outcome
type
array of strings

Filter by transaction type.

type
review_decision
array of strings

Filter by transaction review decision.

review_decision
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json